Add Rule¶
POST /rest/asset/v1/smartList/{id}/rules.json
Method: POST
Path: /rest/asset/v1/smartList/{id}/rules.json
Tag: Smart Lists
Operation ID: addSmartListRuleUsingPOST
Adds a rule to a smart list. Required Permissions: Read-Write Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
integer (int64) | Yes | Id of the smart list |
Form-data parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
ruleId.id |
integer (int32) | Yes | Id of the rule type | |
ruleId.type |
string | Yes | Type of the rule type | enum: activity, attribute |
index |
integer (int32) | Yes | 1-based position to insert the rule | |
trigger |
boolean | No | Set true for a trigger rule. Default false | |
negative |
boolean | No | Set true to negate the rule. Default false |
Example request¶
POST {{base_url}}/rest/asset/v1/smartList/{{id}}/rules.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json
ruleId.id={{ruleId.id}}
ruleId.type=activity
index={{index}}
trigger={{trigger}}
negative={{negative}}
Responses¶
200 — OK¶
Schema: model: ResponseOfSmartListResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"id": 123,
"name": "Example name",
"description": "string",
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"folder": {
"id": 123,
"type": "Folder"
},
"workspace": "string"
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.